<?php
// $Id: template.php,v 1.38.2.3.2.3.2.17 2010/05/19 09:42:10 mverbaar Exp $

/**
 * Process variables for block.tpl.php.
 */
function inkribbon_preprocess_block(&$variables) {
  // Provide useful classes.
  $variables['classes'] = 'block block-' . $variables['block']->module;
}

/**
 * Process variables for comment.tpl.php.
 */
function inkribbon_preprocess_comment(&$variables) {
  // Provide useful classes.
  $classes = array(
    'comment',
    $status,
  );
  if ($variables['comment']->new) {
    $classes[] = 'comment-new';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Process variables for node.tpl.php.
 */
function inkribbon_preprocess_node(&$variables) {
  // Provide useful classes.
  $classes = array(
    'node',
    'node-' . $variables['node']->type,
  );
  if ($variables['teaser']) {
    $classes[] = 'node-teaser';
  }
  if ($variables['sticky']) {
    $classes[] = 'node-sticky';
  }
  if (!$variables['status']) {
    $classes[] = 'node-unpublished';
  }
  $variables['classes'] = join(' ', $classes);
}

/**
 * Process variables for page.tpl.php.
 */
function inkribbon_preprocess_page(&$variables) {
  // Construct the logo. We use theme_image() to create the img so it gets
  // proper width and height attributes.
  if ($variables['logo']) {
    // Make the URL relative to base_path() so theme_image() can swallow it.
    $variables['logo'] = preg_replace('#^' . preg_quote(base_path()) . '#', '', $variables['logo']);
    
    $variables['logo'] = theme('image', $variables['logo'],
      t('!sitename logo', array(
        '!sitename' => $variables['site_name'],
      ))
    );
    // Link the logo to the frontpage when we aren't on the frontpage.
    if (!$variables['is_front']) {
      $variables['logo'] = l($variables['logo'], '<front>', array(
        'html' => TRUE,
        'attributes' => array(
          'title' => t('Home'),
          'rel' => 'home',
        ),
      ));
    }
  }
  
  // Link the site name to the frontpage when we aren't on the frontpage.
  if ($variables['site_name'] && !$variables['is_front']) {
    $variables['site_name'] = l($variables['site_name'], '<front>', array(
      'attributes' => array(
        'title' => t('Home'),
        'rel' => 'home',
      ),
    ));
  }
}
